org.wildfly.swarm.config.management.access.role_mapping

## Class Exclude<T extends Exclude<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.role_mapping.Exclude<T>

-     public class Exclude<T extends Exclude<T>>
      extends Object

  An individual principal used within a role mapping.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exclude(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `name()` The name of the user or group being mapped.
    `T` | `name(String value)` The name of the user or group being mapped.
    `String` | `realm()` An optional attribute to map based on the realm used for authentication.
    `T` | `realm(String value)` An optional attribute to map based on the realm used for authentication.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Type` | `type()` The type of the Principal being mapped, either 'group' or 'user'.
    `T` | `type(Type value)` The type of the Principal being mapped, either 'group' or 'user'.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exclude

          public Exclude(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### name

          public String name()

      The name of the user or group being mapped.

    - #### name

          public T name(String value)

      The name of the user or group being mapped.

    - #### realm

          public String realm()

      An optional attribute to map based on the realm used for authentication.

    - #### realm

          public T realm(String value)

      An optional attribute to map based on the realm used for authentication.

    - #### type

          public Type type()

      The type of the Principal being mapped, either 'group' or 'user'.

    - #### type

          public T type(Type value)

      The type of the Principal being mapped, either 'group' or 'user'.

Copyright © 2017 JBoss by Red Hat. All rights reserved.